## MxToggle MxToggle |

## Synopsis

    struct              MxToggle;
    struct              MxToggleClass;
    ClutterActor *      mx_toggle_new                       (void);
    void                mx_toggle_set_active                (MxToggle *toggle,
                                                             gboolean active);
    gboolean            mx_toggle_get_active                (MxToggle *toggle);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----ClutterActor
                   +----MxWidget
                         +----MxToggle

## Implemented Interfaces

MxToggle implements ClutterContainer, ClutterScriptable, ClutterAnimatable, AtkImplementorIface and MxStylable.

## Properties

      "active"                   gboolean              : Read / Write

## Description

## Details

### struct MxToggle

    struct MxToggle;

The contents of this structure is private and should only be accessed using the provided API.

### struct MxToggleClass

    struct MxToggleClass {
      MxWidgetClass parent_class;

      /* padding for future expansion */
      void (*_padding_0) (void);
      void (*_padding_1) (void);
      void (*_padding_2) (void);
      void (*_padding_3) (void);
      void (*_padding_4) (void);
    };

### mx_toggle_new ()

    ClutterActor *      mx_toggle_new                       (void);

### mx_toggle_set_active ()

    void                mx_toggle_set_active                (MxToggle *toggle,
                                                             gboolean active);

### mx_toggle_get_active ()

    gboolean            mx_toggle_get_active                (MxToggle *toggle);

## Property Details

### The `"active"` property

      "active"                   gboolean              : Read / Write

Whether the toggle switch is activated.

Default value: FALSE